Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.util
Class SizeMeasuringReader

    java.lang.Object
      java.io.Reader
          org.modeshape.common.util.SizeMeasuringReader

All Implemented Interfaces:
  Closeable, Readable

    public class SizeMeasuringReader

extends Reader

An `Reader` implementation that can wrap another input stream and determine the number of bytes read.

Field Summary

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`SizeMeasuringReader(Reader Reader, AtomicLong size)`

Method Summary
`void` | `close()`
`void` | `mark(int readlimit)`
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(char[] cbuf, int off, int len)`
`void` | `reset()`

Methods inherited from class java.io.Reader
`read, read, ready, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SizeMeasuringReader

    public SizeMeasuringReader(Reader Reader,
                               AtomicLong size)

Method Detail

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Specified by:
    `read` in class `Reader`
  Throws:
    `IOException`
  See Also:
    `Reader.read(char[], int, int)`

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`
  See Also:
    `Reader.read()`

### mark

    public void mark(int readlimit)
              throws IOException

  Overrides:
    `mark` in class `Reader`
  Throws:
    `IOException`
  See Also:
    `Reader.mark(int)`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `Reader`
  See Also:
    `Reader.markSupported()`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `Reader`
  Throws:
    `IOException`
  See Also:
    `Reader.reset()`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Reader`
  Throws:
    `IOException`
  See Also:
    `Reader.close()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.